﻿using System.Windows;

namespace XCEEnteredText
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm;

        public MainWindow()
        {
            InitializeComponent();
            this.vm = new ViewModel();
            this.DataContext = vm;
        }

        private void XamComboEditor_ItemAdding(object sender, Infragistics.Controls.Editors.ComboItemAddingEventArgs<Infragistics.Controls.Editors.ComboEditorItem> e)
        {
            this.vm.TextFromXamComboEditor = e.Item.Data.ToString();
            e.Cancel = true;
        }
    }
}
